Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Problem.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Problem.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Problem.cs	(revision 5482)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class Problem {
+    [DataMember]
+    public string Name { get; set; }
+    [DataMember]
+    public string Description { get; set; }
+    [DataMember]
+    public Platform Platform { get; set; }
+    [DataMember]
+    public ProblemClass ProblemClass { get; set; }
+    [DataMember]
+    public DataType DataType { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/ProblemClass.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/ProblemClass.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/ProblemClass.cs	(revision 5482)
@@ -0,0 +1,32 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class ProblemClass {
+    [DataMember]
+    public string Name { get; set; }
+    [DataMember]
+    public string Description { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Run.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Run.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Run.cs	(revision 5482)
@@ -0,0 +1,48 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class Run {
+    [DataMember]
+    public long Id { get; set; }
+    [DataMember]
+    public Algorithm Algorithm { get; set; }
+    [DataMember]
+    public Problem Problem { get; set; }
+    [DataMember]
+    public int RandomSeed { get; set; }
+    [DataMember]
+    public DateTime CreatedDate { get; set; }
+    [DataMember]
+    public Guid UserId { get; set; }
+    [DataMember]
+    public Guid ClientId { get; set; }
+    [DataMember]
+    public IEnumerable<Value> ParameterValues { get; set; }
+    [DataMember]
+    public IEnumerable<Value> ResultValues { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparison.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparison.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparison.cs	(revision 5482)
@@ -0,0 +1,40 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public enum StringComparison {
+    [EnumMember]
+    Equal,
+    [EnumMember]
+    NotEqual,
+    [EnumMember]
+    Contains,
+    [EnumMember]
+    NotContains,
+    [EnumMember]
+    Like,
+    [EnumMember]
+    NotLike
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparisonAvailableValuesFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparisonAvailableValuesFilter.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparisonAvailableValuesFilter.cs	(revision 5482)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class StringComparisonAvailableValuesFilter : StringComparisonFilter {
+    [DataMember]
+    public IEnumerable<string> AvailableValues { get; protected set; }
+
+    public StringComparisonAvailableValuesFilter(string filterTypeName, string label, IEnumerable<string> availableValues)
+      : base(filterTypeName, label) {
+      AvailableValues = availableValues;
+    }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparisonFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparisonFilter.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringComparisonFilter.cs	(revision 5482)
@@ -0,0 +1,37 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class StringComparisonFilter : Filter {
+    [DataMember]
+    public StringComparison Comparison { get; set; }
+    [DataMember]
+    public string Value { get; set; }
+
+    public StringComparisonFilter(string filterTypeName, string label) {
+      FilterTypeName = filterTypeName;
+      Label = label;
+    }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringValue.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringValue.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/StringValue.cs	(revision 5482)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  public class StringValue : Value {
+    [DataMember]
+    public string Value { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Value.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Value.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/DataTransfer/Value.cs	(revision 5482)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.Query.DataTransfer {
+  [DataContract]
+  [KnownType(typeof(BoolValue))]
+  [KnownType(typeof(IntValue))]
+  [KnownType(typeof(LongValue))]
+  [KnownType(typeof(FloatValue))]
+  [KnownType(typeof(DoubleValue))]
+  [KnownType(typeof(StringValue))]
+  [KnownType(typeof(BinaryValue))]
+  public abstract class Value {
+    [DataMember]
+    public string Name { get; set; }
+    [DataMember]
+    public DataType DataType { get; set; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmClassNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmClassNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmClassNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmClassNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmDataDataTypeNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmDataDataTypeNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmDataDataTypeNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmDataDataTypeNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBlobValueDataTypeNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBlobValueDataTypeNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBlobValueDataTypeNameFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterBlobValueDataTypeNameFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBlobValueValueFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBlobValueValueFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBlobValueValueFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterBlobValueValueFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBoolValueValueFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBoolValueValueFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterBoolValueValueFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterBoolValueValueFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterFloatValueValueFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterFloatValueValueFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterFloatValueValueFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterFloatValueValueFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterIntValueValueFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterIntValueValueFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterIntValueValueFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterIntValueValueFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterNameFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterStringValueValueFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterStringValueValueFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmParameterStringValueValueFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmParameterStringValueValueFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmPlatformNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmPlatformNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AlgorithmPlatformNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AlgorithmPlatformNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AndFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AndFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/AndFilter.cs	(revision 5482)
@@ -22,9 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class AndFilter : IFilter {
     public List<IFilter> Filters { get; private set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/IFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/IFilter.cs	(revision 5482)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/IFilter.cs	(revision 5482)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Linq.Expressions;
+using HeuristicLab.Services.OKB.DataAccess;
+
+namespace HeuristicLab.Services.OKB.Query.Filters {
+  public interface IFilter {
+    Expression<Func<Run, bool>> Expression { get; }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/OrFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/OrFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/OrFilter.cs	(revision 5482)
@@ -22,9 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class OrFilter : IFilter {
     public List<IFilter> Filters { get; private set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemClassNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemClassNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemClassNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class ProblemClassNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemDataDataTypeNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemDataDataTypeNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemDataDataTypeNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class ProblemDataDataTypeNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemNameFilter.cs	(revision 5482)
@@ -24,5 +24,5 @@
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class ProblemNameFilter : IFilter {
     public DataTransfer.StringComparison Comparison { get; set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemParameterBlobValueDataTypeNameFilter.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemParameterBlobValueDataTypeNameFilter.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/Filters/ProblemParameterBlobValueDataTypeNameFilter.cs	(revision 5482)
@@ -21,9 +21,8 @@
 
 using System;
-using System.Linq;
 using System.Linq.Expressions;
 using HeuristicLab.Services.OKB.DataAccess;
 
-namespace HeuristicLab.Services.OKB {
+namespace HeuristicLab.Services.OKB.Query.Filters {
   public class ProblemParameterBlobValueDataTypeNameFilter : IFilter {
     public string Name { get; protected set; }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/IQueryService.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/IQueryService.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/IQueryService.cs	(revision 5482)
@@ -23,5 +23,5 @@
 using System.Net.Security;
 using System.ServiceModel;
-using HeuristicLab.Services.OKB.DataTransfer;
+using HeuristicLab.Services.OKB.Query.DataTransfer;
 
 namespace HeuristicLab.Services.OKB.Query {
@@ -35,11 +35,11 @@
 
     [OperationContract]
-    long GetNumberOfQueryResults(Filter filter);
+    long GetNumberOfRuns(Filter filter);
 
     [OperationContract]
-    IEnumerable<long> GetQueryResultIds(Filter filter);
+    IEnumerable<long> GetRunIds(Filter filter);
 
     [OperationContract]
-    IEnumerable<QueryResult> GetQueryResults(IEnumerable<long> ids);
+    IEnumerable<Run> GetRuns(IEnumerable<long> ids);
   }
 }
Index: branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/QueryService.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/QueryService.cs	(revision 5481)
+++ branches/OKB (trunk integration)/HeuristicLab.Services.OKB/3.3/Query/QueryService.cs	(revision 5482)
@@ -26,5 +26,5 @@
 using System.ServiceModel;
 using HeuristicLab.Services.OKB.DataAccess;
-using HeuristicLab.Services.OKB.DataTransfer;
+using HeuristicLab.Services.OKB.Query.DataTransfer;
 
 namespace HeuristicLab.Services.OKB.Query {
@@ -107,5 +107,5 @@
     }
 
-    public long GetNumberOfQueryResults(Filter filter) {
+    public long GetNumberOfRuns(Filter filter) {
       using (OKBDataContext okb = new OKBDataContext()) {
         return FilterRuns(okb.Runs, filter).LongCount();
@@ -113,5 +113,5 @@
     }
 
-    public IEnumerable<long> GetQueryResultIds(Filter filter) {
+    public IEnumerable<long> GetRunIds(Filter filter) {
       using (OKBDataContext okb = new OKBDataContext()) {
         return FilterRuns(okb.Runs, filter).Select(x => x.Id).ToArray();
@@ -119,5 +119,5 @@
     }
 
-    public IEnumerable<QueryResult> GetQueryResults(IEnumerable<long> ids) {
+    public IEnumerable<DataTransfer.Run> GetRuns(IEnumerable<long> ids) {
       using (OKBDataContext okb = new OKBDataContext()) {
         DataLoadOptions dlo = new DataLoadOptions();
